{smcl}
{* 2017-08-13 Scott Long}{...}
{title:Title}

{p2colset 5 16 16 1}{...}
{p2col:{cmd:cddrop} {hline 2}}Drop or restore
a command used for changing the working directory{p_end}
{p2colreset}{...}


{title:General syntax}


{p 4 18 2}
{cmd:cddrop} command-name [ {cmd:,} {opt delete} {opt res:tore} ]
{p_end}

{pstd}
{it:command-name} is a {cmd:cd} command such as {cmd:cdproject}. If 
the name does not begin with {cmd:cd}, {cmd:cd} is added to the
{it:command-name}. The abbreviation {cmd:_all} 
indicates that all {cmd:cd} commands in PERSONAL should be processed.

{title:Overview}

{pstd}
By default, {cmd:cddrop} renames the ado file associated with a
{cmd:cd}{it:project} command. For example, {cmd:cddrop cdmyproject}
renames {cmd:cdmyproject.ado} to {cmd:cdmyproject.dropped}.
With the {cmd:delete} option the ado file is deleted.

{pstd}
A file that has been
renamed with the {cmd:dropped} suffix can be restored with the
{cmd:restore} option. For example, {cmd:cddrop cdmyproject, restore}
renames {cmd:cdmyproject.dropped} to {cmd:cdmyproject.ado}.

{title:Options}
{p2colset 5 16 17 0}
{synopt:{opt delete}} deletes the ado file. With the {cmd:delete}
option, {cmd:cd}{it:command-name}{cmd:.ado}
is renamed to {cmd:cd}{it:command-name}{cmd:.dropped}.
{p_end}
{p2colset 5 16 17 0}
{synopt:{opt restore}} renames
{cmd:cd}{it:command-name}{cmd:.dropped}
to {cmd:cd}{it:command-name}{cmd:.ado}.
{p_end}

{title:Citing cddrop.ado}

{p 2 5 10}
When using these commands, please cite:

{p 4 5 10}
J. Scott Long. 2017.
{it:A workflow for managing working directories and projects in Stata.}
{p_end}

{p 2 8 0}
{browse "http://www.indiana.edu/~jslsoc/"}
