program drop _all
macro drop S_cd*
do fixes

//  simple    
    
    cd d:/aaa/work
cdsave aaa, note(project A) replace details

    cd d:/aaa/work
cdsave noslash, replace details noslash

    cd d:/bbb/work
cdsave bbb, replace details

/* later use to show if directory does not existcd
!   md d:\ccc\work
    cd d:/ccc/work
cdsave ccc, note(cdlist when directory does not exist) replace details
*/

   cd "d:/dropbox/active/workflow/work"
cdsave project, note(Stata project commands) url(http://www.indiana.edu/~jslsoc/stata/spex_data/) replace details
   cd "d:/dropbox/active/workflow/work"
cdsave workflow, note(Stata project workflow commands) url(http://www.indiana.edu/~jslsoc/stata/spex_data) replace details

    capture cd "c:/Users/scott/desktop"
    if _rc!=0 capture cd "c:/Users/jslong/desktop"
cdsave desk, note(Desktop)  replace details

//  automation

    cd d:/datasets
* automatically list dta in working dir    
cdsave autodir, auto(dir *.dta) replace details

cd "d:/dropbox/active/workflow/work"    
* load from data path
cdsave cdautouse, data(d:/datasets) auto(use ${S_cddata}binlfp4, clear) replace details

    cd "d:/dropbox/active/RRUS/work rrus/06AUT/"
cdsave auto, note(autorun test) autorun(autotest) replace details

    cd "d:/dropbox/active/workflow/work"
cdsave  cdautoload, note(Automatically load dataset) auto(use binlfp4, clear) replace details

    cd "d:/dropbox/active/workflow/work"
cdsave doit, note(Autorun do it.do) auto(do it) replace details

//  data and url

   cd "d:/dropbox/active/workflow/work"
cdsave cddata, note(Data path d:/data) data(d:/data) replace details

   cd "d:/dropbox/active/workflow/work"
cdsave paths, note(Example of data paths) data(d:/data) url(http://www.indiana.edu/~jslsoc/stata/spex_data) user(m:/bssr/datadepository/) replace details

//  start

   cd "d:/dropbox/Active/RRUS/work rrus/06AUT"
cdsave start, note(Default working directory) replace details


//  ==========================================================================
//  jsl work

    cd "d:/dropbox/DesktopIU"
cdsave deskiu, note(DesktopIU)  replace details

    cd d:/dropbox/active
cdsave cdactive, note(Active directory) replace details

    cd "d:/dropbox/active/RRUS/work rrus/05dof/"
cdsave cdaut, note(RRUS dofiles) replace details

    cd "d:/dropbox/active/RRUS/work rrus/06AUT/"
cdsave cdaut, note(RRUS automation) replace details

    cd "d:/dropbox/active/RRUS/work rrus/08cwf/"
cdsave cdaut, note(RRUS cwf) replace details

    cd "d:/dropbox/active/RRUS/work rrus/09dat/"
cdsave cdaut, note(RRUS datata) replace details

    cd "d:/dropbox/active/RRUS/work rrus/10var/"
cdsave cdaut, note(RRUS variables) replace details

    cd "d:/dropbox/active/RRUS/work rrus/11cle/"
cdsave cdaut, note(RRUS clean) replace details

    cd "d:/dropbox/active/RRUS/work rrus/12ana/"
cdsave cdaut, note(RRUS analysis) replace details

//  spost

    cd "d:/dropbox/spost/work/BUG mchange orm stata15 2017-08-01"
cdsave cdbug, note(SPost bugs) replace details

   cd "d:/dropbox/spost/work"
cdsave spost, note(SPost development) replace details

   cd "d:/dropbox/spost/work/BUG mchange orm stata15 2017-08-01"
cdsave spostmchange, note(Stata 15 mchange bug) replace details

//  cda

   cd "d:/dropbox/active/cda iu 2017/work"
cdsave cdcdaiu, note(CDAiu 2017) replace details

capture    cd "h:/CDAwork"
cdsave cdausb, note(cda usb) replace details

   cd "d:/dropbox/active/workflow/work"
cdsave wd, note(changewd paper) replace details

   cd "d:/dropbox/WFicpsrdrive/Active/WFlectures/work"
cdsave wficpsr, note(WFicpsr 2017) replace details

exit